- List external pages
You can retrieve a list of all external pages for a workspace.
OAuth tokens must have the read_write_ai_content scope.
The page of results to fetch. Defaults to the first page. page cannot exceed 5,001, and page multiplied by per_page cannot exceed 10,000. Past 5,001 the API returns a 400 parameter_invalid error; past 10,000 results it returns a 400 bad_request error with the message page limit reached, please use scroll API.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/ai/external_pages
- The european API serverhttps://api.eu.intercom.io/ai/external_pages
- The australian API serverhttps://api.au.intercom.io/ai/external_pages
curl -i -X GET \
'https://api.intercom.io/ai/external_pages?page=1&per_page=50' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
An array of External Page objects
{ "data": [ { … }, { … }, { … } ], "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 }, "total_count": 3, "type": "list" }